Debian Bug report logs - #455286
FTBFS with GCC 4.3: missing #includes

version graph

Package: belpic; Maintainer for belpic is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 9 Dec 2007 17:27:01 UTC

Severity: serious

Tags: patch

Found in version 2.6.0-2

Fixed in version belpic/2.6.0-3.1

Done: Pierre Habouzit <madcoder@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#455286; Package belpic. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Wouter Verhelst <wouter@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Sun, 9 Dec 2007 10:25:31 -0700
Package: belpic
Version: 2.6.0-2
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at
http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of belpic_2.6.0-2 on em64t by sbuild/amd64 0.53
...
> g++ -o src/beidcommon/TLVBuffer.os -c -Wall -g -O2 -Dlinux -pipe -DQT_THREAD_SUPPORT -D_REENTRANT -g -O2 -DPREFIX='"/usr"' -DCONFDIR='"/etc/"' -fPIC -O -DNDEBUG -DNO_DEBUG -I/usr/share/qt3/include -I/usr/include/PCSC -Isrc/beidcommon -Isrc/eidlib src/beidcommon/TLVBuffer.cpp
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillDateData(unsigned char, char*)':
> src/beidcommon/TLVBuffer.cpp:90: error: 'memset' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:92: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:121: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillASCIIData(unsigned char, char*)':
> src/beidcommon/TLVBuffer.cpp:135: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillUTF8Data(unsigned char, char*)':
> src/beidcommon/TLVBuffer.cpp:144: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillBinaryStringData(unsigned char, char*)':
> src/beidcommon/TLVBuffer.cpp:154: error: 'strlen' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:154: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillIntData(unsigned char, int*)':
> src/beidcommon/TLVBuffer.cpp:174: error: 'memset' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:175: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillLongData(unsigned char, long int*)':
> src/beidcommon/TLVBuffer.cpp:187: error: 'memset' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:188: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillBinaryData(unsigned char, unsigned char*)':
> src/beidcommon/TLVBuffer.cpp:199: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillBinaryData(unsigned char, unsigned char*, long unsigned int*)':
> src/beidcommon/TLVBuffer.cpp:208: error: 'memcpy' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In static member function 'static char* eidcommon::CTLVBuffer::Hexify(unsigned char*, long unsigned int)':
> src/beidcommon/TLVBuffer.cpp:216: error: 'memset' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'void eidcommon::CTLVBuffer::FillMonth(unsigned char*, char*)':
> src/beidcommon/TLVBuffer.cpp:268: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:274: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:280: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:286: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:292: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:298: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:304: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:310: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:316: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:322: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:328: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:334: error: 'memcmp' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp: In member function 'bool eidcommon::CTLVBuffer::MakeFileTLV(BEID_Raw*, BEID_Bytes*)':
> src/beidcommon/TLVBuffer.cpp:464: error: 'memset' was not declared in this scope
> src/beidcommon/TLVBuffer.cpp:551: error: 'memcpy' was not declared in this scope
> scons: *** [src/beidcommon/TLVBuffer.os] Error 1
> scons: building terminated because of errors.

-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:40:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#455286; Package belpic. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Wouter Verhelst <wouter@debian.org>. Full text and rfc822 format available.

Message #12 received at 455286@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Martin Michlmayr <tbm@cyrius.com>, 455286@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#455286: FTBFS with GCC 4.3: missing #includes
Date: Wed, 5 Mar 2008 21:16:59 +0100
[Message part 1 (text/plain, inline)]
tag 455286 patch
thanks

Martin Michlmayr <tbm@cyrius.com> (09/12/2007):
> Package: belpic
> Version: 2.6.0-2
> Usertags: ftbfs-gcc-4.3

Hi,

please find attached a patch to fix this FTBFS.

Cheers,

-- 
Cyril Brulebois
[belpic_gcc-4.3.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Wed, 05 Mar 2008 20:21:23 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#455286; Package belpic. Full text and rfc822 format available.

Acknowledgement sent to madcoder@debian.org:
Extra info received and forwarded to list. Copy sent to Wouter Verhelst <wouter@debian.org>. Full text and rfc822 format available.

Message #21 received at 455286@bugs.debian.org (full text, mbox):

From: madcoder@debian.org
To: 455286@bugs.debian.org
Subject: belpic: diff for NMU version 2.6.0-3.1
Date: Sun, 06 Apr 2008 00:06:22 +0200
tags 455286 + patch
thanks

Hi,

The following is the diff for my belpic 2.6.0-3.1 NMU.

diff -u belpic-2.6.0/src/beidcommon/TLVBuffer.cpp belpic-2.6.0/src/beidcommon/TLVBuffer.cpp
--- belpic-2.6.0/src/beidcommon/TLVBuffer.cpp
+++ belpic-2.6.0/src/beidcommon/TLVBuffer.cpp
@@ -5,6 +5,7 @@
 #include "TLVBuffer.h"
 
 #include <cstdlib>
+#include <cstring>
 
 namespace eidcommon
 {
diff -u belpic-2.6.0/src/beidcommon/datafile.cpp belpic-2.6.0/src/beidcommon/datafile.cpp
--- belpic-2.6.0/src/beidcommon/datafile.cpp
+++ belpic-2.6.0/src/beidcommon/datafile.cpp
@@ -43,6 +43,8 @@
     #include <windows.h>
 #endif
 
+#include <cstring>
+
 
 // Compatibility Defines ////////////////////////////////////////////////////////
 /////////////////////////////////////////////////////////////////////////////////
diff -u belpic-2.6.0/debian/changelog belpic-2.6.0/debian/changelog
--- belpic-2.6.0/debian/changelog
+++ belpic-2.6.0/debian/changelog
@@ -1,3 +1,10 @@
+belpic (2.6.0-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix g++-4.3 FTBFS thanks to Cyril Brulebois. Closes: #455286.
+
+ -- Pierre Habouzit <madcoder@debian.org>  Sat, 05 Apr 2008 22:05:18 +0000
+
 belpic (2.6.0-3) unstable; urgency=low
 
   * Apply patch to fix library usage. Closes: #413666
only in patch2:
unchanged:
--- belpic-2.6.0.orig/src/eidlib/OpenSCReader.cpp
+++ belpic-2.6.0/src/eidlib/OpenSCReader.cpp
@@ -11,6 +11,8 @@
 #include <opensc/pkcs15.h>
 #include <string.h>
 
+#include <cstdlib>
+
 
 struct pcsc_slot_data {	unsigned long pcsc_card; }; /* comes from reader-pcsc.c */
 #define GET_SLOT_DATA(r) ((struct pcsc_slot_data *) (r)->drv_data)
only in patch2:
unchanged:
--- belpic-2.6.0.orig/src/eidlib/eiderrors.h
+++ belpic-2.6.0/src/eidlib/eiderrors.h
@@ -21,6 +21,8 @@
 #define SCARD_E_NO_ACCESS                       0x80100027
 #endif
 
+#include <cstring>
+
 typedef struct
 {
     int iOpenSC;




Tags added: patch Request was from madcoder@debian.org to control@bugs.debian.org. (Sat, 05 Apr 2008 22:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#455286; Package belpic. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Wouter Verhelst <wouter@debian.org>. Full text and rfc822 format available.

Message #28 received at 455286@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 455286@bugs.debian.org
Subject: belpic: diff for NMU version 2.6.0-3.1
Date: Sat, 5 Apr 2008 23:17:32 +0100
[Message part 1 (text/plain, inline)]
tags 455286 + patch
thanks

Hi,

Attached is the diff for my belpic 2.6.0-3.1 NMU.
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You lock the door
And throw away the key
There's someone in my head but it's not me 
[belpic-2.6.0-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:21:05 GMT) Full text and rfc822 format available.

Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 455286-close@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 455286-close@bugs.debian.org
Subject: Bug#455286: fixed in belpic 2.6.0-3.1
Date: Sat, 05 Apr 2008 22:17:03 +0000
Source: belpic
Source-Version: 2.6.0-3.1

We believe that the bug you reported is fixed in the latest version of
belpic, which is due to be installed in the Debian FTP archive:

beid-tools_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/beid-tools_2.6.0-3.1_amd64.deb
beidgui_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/beidgui_2.6.0-3.1_amd64.deb
belpic_2.6.0-3.1.diff.gz
  to pool/main/b/belpic/belpic_2.6.0-3.1.diff.gz
belpic_2.6.0-3.1.dsc
  to pool/main/b/belpic/belpic_2.6.0-3.1.dsc
libbeid2-dbg_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeid2-dbg_2.6.0-3.1_amd64.deb
libbeid2-dev_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeid2-dev_2.6.0-3.1_amd64.deb
libbeid2_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeid2_2.6.0-3.1_amd64.deb
libbeidlibopensc2-dbg_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeidlibopensc2-dbg_2.6.0-3.1_amd64.deb
libbeidlibopensc2-dev_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeidlibopensc2-dev_2.6.0-3.1_amd64.deb
libbeidlibopensc2_2.6.0-3.1_amd64.deb
  to pool/main/b/belpic/libbeidlibopensc2_2.6.0-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455286@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Habouzit <madcoder@debian.org> (supplier of updated belpic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 22:05:18 +0000
Source: belpic
Binary: libbeidlibopensc2 libbeidlibopensc2-dev libbeidlibopensc2-dbg beid-tools libbeid2 libbeid2-dev libbeid2-dbg beidgui
Architecture: source amd64
Version: 2.6.0-3.1
Distribution: unstable
Urgency: low
Maintainer: Wouter Verhelst <wouter@debian.org>
Changed-By: Pierre Habouzit <madcoder@debian.org>
Description: 
 beid-tools - SmartCard utilities from the OpenSC project, compiled against lib
 beidgui    - application to read out information from the Belgian electronic I
 libbeid2   - library to read identity information from the Belgian electronic 
 libbeid2-dbg - library to read identity information from the Belgian eID card (d
 libbeid2-dev - development library to read identity information from the Belgian
 libbeidlibopensc2 - belgian eID PKCS11 library
 libbeidlibopensc2-dbg - belgian eID PKCS11 library, debugging symbols
 libbeidlibopensc2-dev - belgian eID PKCS11 library, development files
Closes: 455286
Changes: 
 belpic (2.6.0-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix g++-4.3 FTBFS thanks to Cyril Brulebois. Closes: #455286.
Files: 
 2b2d3c1f83cd3db1fce65f388d5b2248 796 - extra belpic_2.6.0-3.1.dsc
 cda41885e58d0d56dd61addb86a183bf 25396 - extra belpic_2.6.0-3.1.diff.gz
 67b7bf8743026e8840ebc5bef78f9019 336360 libs extra libbeidlibopensc2_2.6.0-3.1_amd64.deb
 2b0ada7ba8a5c6b90bdf657dcc999adf 1014934 libdevel extra libbeidlibopensc2-dev_2.6.0-3.1_amd64.deb
 c3e944d8881f9df7110f1c6f95b50fdc 864930 libdevel extra libbeidlibopensc2-dbg_2.6.0-3.1_amd64.deb
 a8e02d3eb4a6abba3be129eaed77b45d 151040 utils extra beid-tools_2.6.0-3.1_amd64.deb
 b034fe54a2df1d6a1f130ca9c22e46a4 154080 libs extra libbeid2_2.6.0-3.1_amd64.deb
 c49cd3e41322b8646353b37066366d49 87938 libdevel extra libbeid2-dev_2.6.0-3.1_amd64.deb
 4b022902360fa0517314e6aea5d16db7 499654 libdevel extra libbeid2-dbg_2.6.0-3.1_amd64.deb
 5aa97a25e03725461ba51d04d14bc8f0 310286 utils extra beidgui_2.6.0-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/jWvGr7W6HudhwRAkdUAJwMTCpCGSIKUM6SYC7dLOgpy174gACfQWqA
Fp4+iDnqthYZ7akpo6fGZkM=
=Kjxh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:53:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:44:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.